Skip to content

getItemDemand

READ

Get item demand.

POST /api/v1/items/getItemDemand
curl -X POST '<your-host>/api/v1/items/getItemDemand' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemId": "string",
    "locationId": "string",
    "periods": []
  }'
Response
{
  "actuals": [
    {
      "actualQuantity": 0,
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "itemId": "string",
      "locationId": "string",
      "notes": "string",
      "periodId": "string",
      "sourceType": "Sales Order",
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ],
  "forecasts": [
    {
      "companyId": "string",
      "confidence": 0,
      "createdAt": "string",
      "createdBy": "string",
      "forecastMethod": "string",
      "forecastQuantity": 0,
      "itemId": "string",
      "locationId": "string",
      "notes": "string",
      "periodId": "string",
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ]
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "itemId": {
      "type": "string"
    },
    "locationId": {
      "type": "string"
    },
    "periods": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  },
  "required": [
    "itemId",
    "locationId",
    "periods"
  ]
}